create_circle#

Modeler3D.create_circle(orientation, origin, radius, num_sides=0, is_covered=True, name=None, material=None, non_model=False, **kwargs)[source]#

Create a circle.

Parameters:
orientationstr or int

Coordinate system plane for orienting the circle. pyaedt.constants.PLANE Enumerator can be used as input.

originlist

List of [x, y, z] coordinates for the center point of the circle.

radiusfloat

Radius of the circle.

num_sidesint, optional

Number of sides. The default is 0, which is correct for a circle.

namestr, optional

Name of the circle. The default is None, in which case the default name is assigned.

materialstr, optional

Name of the material. The default is None, in which case the default material is assigned.

non_modelbool, optional

Either if create the new object as model or non-model. The default is False.

**kwargsoptional

Additional keyword arguments may be passed when creating the primitive to set properties. See pyaedt.modeler.cad.object3d.Object3d for more details.

Returns:
pyaedt.modeler.cad.object3d.Object3d

3D object.

References

>>> oEditor.CreateCircle

Examples

The following example shows how to create a circle in HFSS. The required parameters are cs_plane, position, radius, and num_sides. The cs_plane parameter provides the plane that the circle is designed on. The position parameter provides the origin of the circle. The radius and num_sides parameters provide the radius and number of discrete sides of the circle,

The optional parameter matname allows you to set the material name of the circle. The optional parameter name allows you to assign a name to the circle.

This method applies to all 3D applications: HFSS, Q3D, Icepak, Maxwell 3D, and Mechanical.

>>> from pyaedt import Hfss
>>> aedtapp = Hfss()
>>> circle_object = aedtapp.modeler.create_circle(orientation='Z', origin=[0,0,0],
...                                                   radius=2, num_sides=8, name="mycyl",
...                                                   material="vacuum")